#include <bits/stdc++.h>

using namespace std;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  int tt;
  cin >> tt;
  while (tt--) {
    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
      cin >> a[i];
    }
    vector<int> b(n);
    for (int i = 0; i < n; i++) {
      cin >> b[i];
    }
    map<int, int> mp;
    for (int i = 0; i < n; i++) {
      if (i % 2) {
        mp[a[i]]++;
        mp[b[i]]--;
      } else {
        mp[-a[i]]++;
        mp[-b[i]]--;
      }
    }
    bool ok = true;
    for (auto& p : mp) {
      if (p.second > 0) {
        ok = false;
      }
    }
    cout << (ok ? "DA" : "NE") << '\n';
  }
  return 0;
}